/*
Theme Name: Straits Gourmet Holdings
Theme URI: https://rosid.work/
Template: greenshift
Author: Ahmad Rosid
Author URI: https://rosid.work/
Description: The Straits Gourmet Holdings theme is a child theme of the Greenshift Theme, specifically developed for the Straits Gourmet Holdings website. It is designed to be flexible and easily adaptable, leveraging the core strengths of Greenshift such as its block-based builder, high performance, and customization capabilities. All elements—including page layouts, styling, and visual components—can be tailored to match the branding and content needs of Straits Gourmet Holdings.
Tags: block-patterns,block-styles,editor-style,full-site-editing,full-width-template,template-editing,wide-blocks
Version: 1.0.0.1775531605
Updated: 2026-04-07 03:13:25

*/
/* Font for Number */
span.number{
	font-family: 'Literata';
	font-weight: 300;
}

/* Header Menu */
.wp-block-navigation__container.header-menu{
	column-gap: var(--wp--custom--spacing--40);
}
.wp-block-navigation__container.header-menu>.wp-block-navigation-item>a{
	padding: 0 !important;
	justify-content: center;
}
.wp-block-navigation__container.header-menu li:hover a.wp-block-navigation-item__content{
	color: var(--wp--preset--color--secondary);
}
.transparent-header .wp-block-navigation__container.header-menu li:hover a.wp-block-navigation-item__content{
	color: var(--wp--preset--color--textonprimary,#e9f5dd);
}
.wp-block-navigation__container.header-menu li a.wp-block-navigation-item__content::after {
    content: "";
    display: block;
    width: 6px !important;
    height: 6px;
    border-radius: 2px;
    background-color: #007F334D;
	transform: rotate(45deg);    
    position: absolute;
    bottom: -16px;
	left: auto;
	right: auto;
    
    opacity: 0;
	transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    pointer-events: none;
}
.transparent-header .wp-block-navigation__container.header-menu li a.wp-block-navigation-item__content::after{
	background-color: #FFFFFF;
}
.wp-block-navigation__container.header-menu li:hover a.wp-block-navigation-item__content::after,
.wp-block-navigation__container.header-menu li.current-menu-item a.wp-block-navigation-item__content::after {
    opacity: 1;
    bottom: -10px;
}
nav.mobile-menu button svg{
	width: 34px;
	height: 34px;
}
nav.mobile-menu .wp-block-navigation__responsive-container-close svg{
	width: 20px;
	height: 20px;
}
.transparent-header nav.mobile-menu .wp-block-navigation__responsive-container-open{
	color: #FFFFFF;
}
/* Footer Menu */
.wp-block-navigation__container.footer-menu{
	column-gap: var(--wp--custom--spacing--30);
}
.wp-block-navigation__container.footer-menu>.wp-block-navigation-item>a{
	padding: 0 !important;
}
.wp-block-navigation__container.footer-menu>.wp-block-navigation-item>a:hover span{
	color: #FFFFFF;
}
.wp-block-navigation__container.footer-menu>.wp-block-navigation-item.current-menu-item>a:after{
	width: 0;
}
.wp-block-navigation__container.footer-menu>.wp-block-navigation-item.current-menu-item:hover>a:after{
	width: 100%;
}

/* Contact us Form */
.contact-us-form-wrapper form label{
	font-size: var(--wp--preset--font-size--custom-8, 18px) !important;
}
.contact-us-form-wrapper form input{
	font-family: var(--wp--preset--font-family--lisu-bosa) !important;
	font-size: var(--wp--preset--font-size--custom-9,16px) !important;
}
.contact-us-form-wrapper form textarea{
	font-family: var(--wp--preset--font-family--lisu-bosa) !important;
	font-size: var(--wp--preset--font-size--custom-9,16px) !important;
}
.contact-us-form-wrapper form .choices__placeholder{
	color: #0A4633CC !important;
}